Ich muss da mal was zu Merges Plugins fragen.

Dieses Thema im Forum "[Skyrim] Modprobleme (SSE)" wurde erstellt von Neokroma, 27. Dezember 2019.

  1. Neokroma

    Neokroma Fremdländer

    Da ich keine ausschlagende Antwort bezug zu dem Thema gefunden oder noch gesehen habe,
    dachte ich das ich mich hier mal anmelden und das möglichst jemand mir aufklärung geben kann darüber.

    Ich weiß das Merges Plugins dazu dienen die zahl der Plugins zu reduzieren um möglich mehr mods zu installieren
    das man nicht die grenze von 255 erreicht.

    Nur meine verwunderung ist das dieser Merge trick keine besserung eher eine nachteil ist.

    Nehme ich als beispiel was ich zurzeit versuche Rüstung und Waffen die ich zusammen setzen will.
    Wenn ich ein Merge Plugin erstellt habe bewirkt das nur das ich noch ein weiteren Plugin mehr zu aktiviert habe
    da dieser vorrausetzt das ich die jeweiligen ESP dateien installiert und aktiviert haben muss sonst greift dieser Merge Plugin null.

    Daher meine frage zu Merges Plugin Trick.
    Warum brauch dieser Merge.esp die anderen esp wenn man die mods doch zusammen legen möchte?

    Da die ESP file von diesem merge zugreifen muss auf die esp file der benötigten mods.
    Entweder habe ich da was falsch verstande oder im großen und ganzen wurde das falsch deffiniert mit den merges.

    Da in vielen anleitungen erwähnt wird das man die Plugins deaktivieren kann sobald ein merge aktiv ist. Aber dieser nicht greift
    so bald ein Plugin bsp. Magier robe.esp deaktiviert wird weil die merge.esp nicht weiß wie sie die Rüstung laden soll da es kein
    beispiel ESP hat woraus die es beziehen soll.
     
  2. Werbung (Nur für Gäste)
  3. EvilMind

    EvilMind Hausbruder

    Herzlich willkommen im Forum

    Betreffend des Mergens gibt es bei Skyrim hier Gurus die besser eine Antwort darauf geben können als ich. Mergen aber hat auch bei Fallout ein paar Dinge die beachtet werden müssen die so auch für Skydim LE(SSE) gelten (sollten)

    Ich selbst merge meist nur Gameplay effects, einzelne esp oder aber Replacer die nur Texturen replacen
    Dazu kommen noch einzelne Waffenreplacer aber her auch vornehmlich die mit loose files
    Das man die nachher in ein ba2 Archiv wandeln kann lass ich erst mal außen vor

    Vorsicht geboten ist auf alle Fälle wenn eine Mod aus esp und ba2 Daten besteht
    Hier mal die Architektur der Daten
    xy.esp
    xy - Main.ba2
    xy - Textures.ba2

    Daran sieht man schon das einfach zusammenwerfen in eine Mod und dann eine neue Esp vergeben nichts bringt.
    Hier muss man erst mal die ba2 entpacken , dann mergen und das ganze dann wieder packen denn sonst findet das Spiel die Daten nicht mehr.

    Zu der Frage
    Das ist mir momentan unbekannt da ich meine merges mit dem Xedit mache (für x setze FO4, TES4, TES5 SSE) also das grundgerüst ist gleich.
    Indem Xedit gibt es ein Script von Mator Merge Plugins 1.9 und das lässt am Ende nur die Merged übrig und entfernt die anderen Esp
    Die Feinarbeit mit Texturen, Meshes, Sound usw bleibt aber bei dir.

    Wobei es aber auftritt das ist eine Merged Patch, der braucht beide Original esp zusätzlich
    Ein Merged Patch aber hat mit Merged PLugins nur das Merged im Namen gemeinsam.
    Man macht mit dem Patch nur zwei Dateien kompatibel

    Das angesprochene Merge Plugins https://www.nexusmods.com/skyrim/mods/69905 was man nehmen soll hat bei mir nie funktioniert. Alleine die TAtsache das das letzte Update 2016 war bei einem Utility das immer wieder angepasst werden sollte zeigt wie altbacken das ist.

    Sollte erst mal reichen, wie gesagt gibt andere die es besser können für Skyrim
     
    Zuletzt bearbeitet: 27. Dezember 2019
  4. Neokroma

    Neokroma Fremdländer

    Danke für das Herzlich willkommen.

    Genau diese Programm hab ich gerade getestet.
    Wie gesagt legt es ein Merge zwar an aber wenn man auf die info geht wird mir vorrausgesetzt das ich die anderen ESP files aktiv haben muss.

    Mit Xedit meinst du doch SSEEdit?
    Hatte es nämlich damit wollte zuerst testen aber bei mir erstellt nur leere esp files :D
    Moment wo hast du das Merge Plugins 1.9 gefunden?
     
  5. EvilMind

    EvilMind Hausbruder

    Jepp und bei meinem Fallout heißt das Ding FO4Edit, bei Fallout New Vegas dann FNVEdit----ist immer das gleiche Tool, es kommt drauf an was vorne aufgeführt wird (das was vorne steht spare ich mir, wird eh missverstanden)


    Ich weiß nicht wie gut du englisch kannst.
    GamerPOet kann man gut verstehen, hier sein Merge Tutorial


    Eventuell findest du hier deinen Fehler, da hat jemand was zu Mator gemacht
     
  6. Neokroma

    Neokroma Fremdländer

    Das Tutorial von GamerPOet hab ich mir angesehen er hat da auch gut beschrieben was man nicht zusammen legen sollte und was möglich ist.
    Quest mods und event mods werde ich sowieso die finger davon lassen diese zusammen zu setzen genauso wie die follower das ist mir zu heikel.
    Das zweite video schaue ich mir dann mal jetzt an.

    Das zweite video gibt mir nicht direkt ein ausschlag darüber was schief gelaufen ist.
    Korrekt ist ja alles das merge wie gesagt hat die Rüstungen als master file gesetzt und ohne diese will das Merges plugin halt nicht sich aktivieren.
     
  7. Apsalar

    Apsalar Bürger

    Hallo erst einmal. Mergen ist (k)eine Kunstform sondern eigentlich nur leichte Arbeit. Das Mergeskript, das mit SSEEdit miteliefert wird ist veraltet und funktioniert für SSE nicht. Du benötigst dieses Skript https://www.nexusmods.com/skyrim/mods/37981/, das du in dein SSEEdit einbaust.

    Ist kinderleicht.

    Dann wählst du in SSEedit die esps aus die du mergen möchtest. Am Anfang solltest du die auf Kleidung und Waffen beschränken. Problematisch sind Mods, die Questen enthalten und bei Followern ist es auch nicht ganz einfach. Nun heißt es die zu mergenden Mods cleanen. Ist nicht unbedingt erforderlich, verbessert aber das Ergebnis. In jedem Fall solltest du Sort Masters/Clean Masters durchführen, damit es passt. Auch "Check for errors" ist wichtig, denn eine fehlerhafte Mod kann das ganze Ergebnis versauen und im Extremfall erhältst du leere esp.

    Dann "apply Skript", das skript arbeiten lassen und Eingaben nach Vorgabe. Es ist nötig eventuell betroffene BA2 von Hand zu entpacken, da SSEEdit keinen geeigneten Packer enthält. Die BA kannst und solltest du danach löschen, bzw in einen Backup Ordner verschieben. Die dann überflüssigen esp ebenso in einen Backupordner.
     
  8. Neokroma

    Neokroma Fremdländer


    Ok ich werde das mal versuchen.
     
  9. EvilMind

    EvilMind Hausbruder

    Das ist bei FO4Edit drin-----oder hab ich das eingebaut? Äh, ist ernst gemeint die Frage weil ich merge nur mt dem 1.9er Script oder ist es erst seit dem 4.0xxx da drin?
     
  10. Neokroma

    Neokroma Fremdländer

    Das Plugin muss soweit ich gesehen habe eingebaut werden also in den jeweiligen ordner verschoben.
     
    EvilMind gefällt das.
  11. EvilMind

    EvilMind Hausbruder

    Dann ist mir das schon in Fleisch und Blut übergegangen das in jedem neuen Realease einzubinden
     
  12. Apsalar

    Apsalar Bürger

    Ist nicht dabei "serienmäßig" ist 1.6.
     
  13. Neokroma

    Neokroma Fremdländer

    Also mit der SSEEdit hat es funktioniert die esp daten konnte ich deaktivieren.

    Muss ich die mods installiert lassen und nur die esp files deaktiveren oder kann ich die mods auch ganz löschen und die Merges datei ladet dennoch
    die Rüstungen und waffen die ich zusammen gelegt habe?

    Frage hat sich erledigt XD
     
    Zuletzt bearbeitet: 27. Dezember 2019
  14. Scharesoft

    Scharesoft Administrator Mitarbeiter

    Falls du Platz bei deinen Mods machen möchtest, muss es nicht immer Mergen sein, auch ESLs können helfen. Es gibt diverse ESPs, die als ESL markiert werden können. Damit habe ich derzeit eine stabile Modliste von 228 ESPs/ESMs und 273 ESLs. Vor allem kleinere Patches sind seit einiger Zeit häufig ESLs.

    Weitere Infos dazu unter anderem hier.
     
  15. Kleiner Prinz

    Kleiner Prinz Hausvater

    Noch ein kleiner Tipp:

    Wenn eine Mod aus
    *.bsa
    *.bsl
    *.esp
    besteht, und du die *.esp zusammen mit anderen *.esp Mods in eine Merge gepackt hast, kann es passieren, das im Spiel dann die Texturen aus der *.bsa nicht mehr erkannt werden, und dann "violett" dargestellt werden.
    Das passiert zwar recht selten, kann aber vorkommen.
    In diesem Fall, einfach die *.bsa entpacken, und die Loose-Files (Ordner "Meshes/Texturen") ins Data-Verzeichnis kopieren.
    Damit habe ich öfter solche Merge-Probleme lösen können.

    Dann noch etwas zur 255 Mod-Grenze:
    Ich habe festgestellt, dass Skyrim bis zu 261 Mods immer noch einwandfrei funktioniert, auch wenn der NMM ab 255 Mods diese rot anzeigt.
    Erst ab 262 Mods kommt es dann zu Problemen, dass Mods beim Start des Spieles, als nicht vorhanden angezeigt werden.

    Auch ich habe eine Frage zu den ESL-Mods:
    Ist es tatsächlich so, dass ich über der 255 esp/esm Mod-Grenze noch ESL-Mods installieren kann, ohne dass Skyrim anfängt rumzuspinnen ?
    Und falls JA, gibt es da auch eine Mod-Grenze, ab der es dann kritisch wird, ...zum Beispiel durch lange Ladevorgänge, Einfrieren des Spiels, oder gar CTDs ?
     
  16. EvilMind

    EvilMind Hausbruder

    Guckst du hier-----einzige Bedingung für den Link : Englischkenntnisse etwas höher als Schulenglisch
     
    Kleiner Prinz gefällt das.
  17. Neokroma

    Neokroma Fremdländer

    Mit dem ESL scheinen aber viele Nachteile und Risiken dabei zu sein.
    Also wenn man ein Mod updaten möchte usw.
     
  18. Scharesoft

    Scharesoft Administrator Mitarbeiter

    ESLs können nur 2048 Records beinhalten, es können also nur kleinere Mods als ESLs umgewandelt werden. Es gibt ein SSEEdit Skript, welches dir sagt, welche Mods ESLs werden können.

    Wie gesagt gilt die Grenze der 255 Plugins nicht für ESLs. Du kannst theoretisch bis zu 4096 von ihnen aktivieren. Daher sind beispielsweise die ganzen Patches für Legacy of the Dragonborn alle ESLs. Je mehr du aber aktivierst, desto mehr Inkompatibilitäten können natürlich auftreten. Mit Hilfe von LOOT wirst du aber meist auf Probleme zwischen Plugins hingewiesen. Ein gutes Tutorial in Englisch zu ESLs gibt es z.B. hier.
     
    Kleiner Prinz gefällt das.
  19. EvilMind

    EvilMind Hausbruder

    oder hier
    :D:D:D
     
  20. Kleiner Prinz

    Kleiner Prinz Hausvater

    Danke für die LINKs.
    Mir ging es jetzt nur mal um die Frage einer Obergrenze für ESLs.
    Dies war das Einzige, was mir noch Unklar war.

    Dass es zu Inkompatibilitäten führen kann, umso mehr Mods man installiert kenne ich von den esp/esm nur all zu gut.
    Bei den ESLs dürfte es logischerweise nicht anders sein.
    Nicht nur wegen der Ladereihenfolge nutze ich daher nach jeder Mod-Installation "LOOT", um mir auch anzeigen zu lassen, wenn sich Mods ins Gehege kommen.
     
  21. Werbung (Nur für Gäste)
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden